# nn_shutdown(3compat) Manual Page

## NAME

nn_shutdown - shut down endpoint (compatible API)

## SYNOPSIS

    #include <nanomsg/nn.h>

    int nn_shutdown(int sock, int ep)

## DESCRIPTION

The `nn_shutdown()` shuts down the endpoint ep, which is either a listener or a dialer) on the socket sock. This will stop the socket from either accepting new connections, or establishing old ones. Additionally, any established connections associated with ep will be closed.

| This function is provided for API compatibility with legacy libnanomsg. Consider using the relevant modern API instead.

## RETURN VALUES

This function returns zero on success, and -1 on error.

## ERRORS

`EBADF` | The socket sock is not open.
`EINVAL` | An invalid ep was supplied.

## SEE ALSO

nn_bind(3compat), nn_connect(3compat), nn_errno(3compat), nn_socket(3compat), nn_compat(3compat), nng(7)